package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 议事投票情况对象 szxc_vote_result
 *
 * @author hs
 * @date 2024-04-07
 */
public class SzxcVoteResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 议事id */
    @Excel(name = "议事id")
    private Long ysId;

    /** 居民id */
    @Excel(name = "居民id")
    private Long jmId;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 投票人 */
    @Excel(name = "投票人")
    private String voteName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 同意、反对、弃权 */
    @Excel(name = "同意、反对、弃权")
    private String vote;

    /** 意见建议 */
    @Excel(name = "意见建议")
    private String opinion;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setYsId(Long ysId)
    {
        this.ysId = ysId;
    }

    public Long getYsId()
    {
        return ysId;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setCardId(String cardId)
    {
        this.cardId = cardId;
    }

    public String getCardId()
    {
        return cardId;
    }
    public void setVoteName(String voteName)
    {
        this.voteName = voteName;
    }

    public String getVoteName()
    {
        return voteName;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setVote(String vote)
    {
        this.vote = vote;
    }

    public String getVote()
    {
        return vote;
    }
    public void setOpinion(String opinion)
    {
        this.opinion = opinion;
    }

    public String getOpinion()
    {
        return opinion;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ysId", getYsId())
                .append("jmId", getJmId())
                .append("cardId", getCardId())
                .append("voteName", getVoteName())
                .append("phone", getPhone())
                .append("vote", getVote())
                .append("opinion", getOpinion())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("userId", getUserId())
                .toString();
    }
}
